Subject: Re: Fein triangle sander

From: [email-masked] (Kevin Wentzel)
Date: 25 Dec 1994 07:47:09 GMT

In <[email-masked]> [email-masked] (RodCohen) 
writes: 

>the opportunity to try a Ryobi, Bosch, and the Fein.  IMHO the Ryobi 
was
>nothing but a glorified vibrator (good news to the gentlemen trying to
>convince the significant other about getting one. ;-) )  and the use of
>which would become annoying at best.  THe Bosch was quite a bit less

I have a Ryobi.  I completely agree with the above. It's pretty much 
useless.  I wish I could justify to my wife getting the Bosch or Fein.  

Kevin